/***** stringUtil.h **********************************************
 * Description:  Header file for string utilities.
 * Author: Bernhard Haubold, bernhard.haubold@fh-weihenstephan.de
 * File created on Sun Jun  6 00:23:34 2004.
 ****************************************************************/
#define HASHSIZE  12553 /* size of hash table (prime) */ 
#define MAXFIELDS 5000  /* maximum number of fields */

char *chomp(char *line);
char *cleanWord(char *word);
char *cleanWordEdges(char *word);
unsigned hash(char *s);
char *strdup2(char *s);
void split(char *line, char *splitC, char **splitArray, int *arrayLen);
char *strtolower(char *s);
char *strtolower2(char *s);
char *rmBlanks(char *str);
